Skip to content
vocapable.Docs

The company's messaging rules (expected_revision)

PUT
/v1/workspace/contact-center/messaging/rules
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/contact-center/messaging/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "default_capacity": 1, "offer_timeout_seconds": 1, "call_blocks_conversations": true, "acw_blocks_conversations": true, "not_ready_reasons": [ "example" ], "sla_seconds": 1, "sla_percent": 1, "expected_revision": 1 }'
Media typeapplication/json
CcMessagingRulesUpdate
object
default_capacity
required
Default Capacity
integer
>= 1 <= 10
offer_timeout_seconds
required
Offer Timeout Seconds
integer
>= 15 <= 600
call_blocks_conversations
required
Call Blocks Conversations
boolean
acw_blocks_conversations
required
Acw Blocks Conversations
boolean
not_ready_reasons
Not Ready Reasons
Array<string>
<= 30 items
sla_seconds
required
Sla Seconds
integer
>= 10 <= 86400
sla_percent
required
Sla Percent
integer
>= 1 <= 100
expected_revision
required
Expected Revision
integer
>= 1
Examplegenerated
{
"default_capacity": 1,
"offer_timeout_seconds": 1,
"call_blocks_conversations": true,
"acw_blocks_conversations": true,
"not_ready_reasons": [
"example"
],
"sla_seconds": 1,
"sla_percent": 1,
"expected_revision": 1
}

Successful Response

Media typeapplication/json
CcMessagingRules

The company’s messaging rules (defaults until an owner saves them).

object
default_capacity
required
Default Capacity
integer
offer_timeout_seconds
required
Offer Timeout Seconds
integer
call_blocks_conversations
required
Call Blocks Conversations
boolean
acw_blocks_conversations
required
Acw Blocks Conversations
boolean
not_ready_reasons
required
Not Ready Reasons
Array<string>
sla_seconds
required
Sla Seconds
integer
sla_percent
required
Sla Percent
integer
revision
required
Revision
integer
Examplegenerated
{
"default_capacity": 1,
"offer_timeout_seconds": 1,
"call_blocks_conversations": true,
"acw_blocks_conversations": true,
"not_ready_reasons": [
"example"
],
"sla_seconds": 1,
"sla_percent": 1,
"revision": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}